// Source: https://gitlab.com/pleio/frontend/-/blob/dev/src/less/components/card.less
// Note: converted Less to Sass

.card {
  display: block;
  position: relative;
  width: 100%;
  background-color: $color-white;
  border-radius: $border-radius-card;
  box-shadow: $shadow-card;

  .row.fill & {
    flex: 1 0 auto;
  }

  &.___fill-light {
    background-color: $color-secondary--lightest;
  }

  &.___indent {
    @media (min-width: $screen-sm) {
      padding-left: 50px;
    }
  }

  &.___is-highlighted {
    &:after {
      content: "";
      position: absolute;
      left: 0;
      top: 0;
      bottom: 0;
      width: 4px;
      background-color: $color-secondary-highlight;
      z-index: 1;
    }
  }
}

.card__content {
  @media (max-width: $screen-xs-max) {
    padding: 16px 20px;
  }

  @media (min-width: $screen-sm) {
    padding: 20px 24px;

    .card-comments {
      margin-left: -30px;
    }
  }
}

.card__overlay {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: fade($color-grey--80, 25%);
  background: linear-gradient(to right,
      fade(mix(black, $color-secondary, 85%), 20%) 0%,
      fade(mix(black, $color-secondary, 50%), 15%) 100%);

  +.card__content {
    position: relative;
    pointer-events: none;
  }
}

.card__footer {
  @media (max-width: $screen-xs-max) {
    padding: 10px 25px 20px;

    .card-comments {
      margin-left: -25px;
    }
  }

  @media (min-width: $screen-sm) {
    padding: 10px 30px 20px;

    .card-comments {
      margin-left: -30px;
    }
  }
}

.card__video {
  display: inline;
  pointer-events: auto;

  @include icon(play);

  &:before {
    font-size: 13px;
    margin: 0 7px 3px 0;
  }
}

.card__header {
  position: relative;
  display: block;
  width: 100%;
  height: 140px;
  background-color: $color-grey--10;
  background-size: cover;
  background-position: center;
  color: white;
  border-radius: $border-radius-small $border-radius-small 0 0;
  overflow: hidden;

  @media (max-width: $screen-xs-max) {
    height: 100px;
  }

  .card__content {
    height: 100%;
  }

  .card__subject {
    margin-top: auto;
  }

  &.card__header.card__header:after {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    width: 46px;
    height: 46px;
    line-height: inherit;
    background-color: fade($color-black, 40%);
    top: 25px;
    right: 30px;
    border-radius: 50%;
    color: $color-white;
    text-align: center;
  }

  .play-button {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
  }
}

// children
.card {
  &.___members {
    .card__content {
      width: 100%;
    }

    @media (min-width: $screen-lg) {
      .card__content {
        display: flex;
        flex-direction: column;
        align-items: center;
      }

      .card__title {
        margin-top: -10px;
        margin-bottom: -5px;
        color: $color-grey--80;
        text-align: center;
      }
    }
  }

  .picture {
    position: absolute;
    top: 30px;
    left: 24px;
  }

  &.___info {
    .picture {
      position: absolute;
      top: 30px;
      left: 24px;
      align-items: flex-start;
      border-radius: 0;

      @include icon(info);

      &:before {
        font-size: 30px;
        color: $color-grey--50;
      }

      @media (max-width: $screen-xs-max) {
        display: none;
      }
    }

    .card__title {
      padding-right: 30px;
    }
  }
}

a.card {
  cursor: pointer;
}

.card__subject {
  position: relative;
  @include font(medium);
  min-height: 24px;
  font-weight: bold;
  text-transform: capitalize;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;

  .card.___has-image & {
    text-shadow: $text-shadow;
  }
}

.card__excerpt {
  display: block;
  margin-bottom: 20px;

  .card__title+& {
    margin-top: 10px;
  }
}

.card__title {
  display: block;
  font-weight: bold;
  color: $color-black;

  >a {
    display: block;
  }

  @include font(title-small);

  >h3 {
    @include font(title-small);
  }
}

.card__subtitle {
  font-weight: bold;
  margin-bottom: 15px;
}

.card__item {
  display: block;
  margin-bottom: 20px;
}

.card__close {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 0;
  right: 0;
  padding: 20px;
  color: $color-grey--50;
  transition: color $trans-fast;
  border-radius: 50%;
  overflow: hidden;
  cursor: pointer;
  z-index: 1;

  &:hover,
  &:focus {
    color: $color-secondary;
  }

  @include icon(cross);

  &:before {
    font-size: 14px;
  }

  @media (max-width: $screen-xs-max) {
    &:before {
      font-size: 12px;
    }
  }
}

.card__bottom {
  display: flex;
  justify-content: flex-end;
}

.card-comments {
  margin-top: 20px;
  border-top: 1px solid $color-grey--40;

  @media (max-width: $screen-xs-max) {
    margin-left: -20px;
    margin-right: -20px;
  }

  @media (min-width: $screen-sm) {
    margin-left: -80px;
    margin-right: -30px;

    .editor {
      border-left: none;
      border-right: none;
    }
  }

  .comment {
    border: none;
    margin: 0;
    padding-bottom: 0;
  }

  .comment-container {
    margin: 0;
  }
}

.count-comments {
  position: relative;
  color: $color-grey--70;
  font-weight: normal;
  padding-left: 26px;

  @include icon(comments);

  &:before {
    color: #999;
    transition: color $trans-fast;
  }

  @include icon(comments-fill, after);

  &:after {
    color: $color-secondary;
    transition: opacity $trans-fast;
    opacity: 0;
  }

  &:before,
  &:after {
    position: absolute;
    top: 11px;
    left: 0;
    font-size: 18px;

    @media (max-width: $screen-xs-max) {
      top: 9px;
    }
  }

  &:hover {
    &:before {
      color: $color-secondary;
    }
  }

  &.___show-comments {
    &:after {
      opacity: 1;
    }
  }
}

.card__list-item {
  display: block;
  padding: 8px 0;

  &:not(:last-child) {
    border-bottom: 1px solid $color-grey--40;
  }

  .___colored {
    transition: color $trans-fast;
  }

  small {
    flex-shrink: 0;
    @include font(small);
    color: $color-grey--60;
  }
}
